Update a shift

Update specific fields of an existing shift by its unique external_id. This includes shift summary details, description etc. Token scopes: time-tracking:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
Unique identifier of the shift to be updated.

Request

This endpoint expects an object.
dataobjectRequired
Shift update request data.

Response

Shift updated successfully.
dataobject
Updated shift record details.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error